TopoElementArray_Agg
Prev | 10.9. TopoGeometry Constructors | Next

## Name

TopoElementArray_Agg — Returns a `topoelementarray` for a set of element_id, type arrays (topoelements).

## Synopsis

`topoelementarray TopoElementArray_Agg(`topoelement set tefield`)`;

## Description

Used to create a TopoElementArray from a set of TopoElement.

Availability: 2.0.0

## Examples

    SELECT topology.TopoElementArray_Agg(ARRAY[e,t]) As tea
      FROM generate_series(1,3) As e CROSS JOIN generate_series(1,4) As t;
      tea
    --------------------------------------------------------------------------
    {{1,1},{1,2},{1,3},{1,4},{2,1},{2,2},{2,3},{2,4},{3,1},{3,2},{3,3},{3,4}}

## See Also

TopoElement, TopoElementArray

Prev | Up | Next
toTopoGeom | Home | clearTopoGeom